<script lang="ts">
    import Textfield from "@smui/textfield";
    import HelperText from "@smui/textfield/helper-text";

    export let description: string;
    export let value: string;
    export let label: string;
    export let placeholder: string;
    export let enterAction: () => void;

    //TODO:set type
    function handleKeyPress(event: any) {
        if (event.key === "Enter") {
            enterAction();
        }
    }
</script>

<p>{description}</p>
<Textfield class="w-full" bind:value {label} on:keydown={handleKeyPress}>
    <HelperText slot="helper">{placeholder}</HelperText>
</Textfield>
